	SUBROUTINE COMPUTE(A,B,C,D,E,G,K,N)
	REAL A(*),B(*),C,D,E,G(*)
	INTEGER K,N
	DO I=1,N
		A(I) = B(I) + C*D
		E = G(K)
	ENDDO
	END

C	gfortran -S -O1 HPC_p59.f
C	gfortran -S -O2 HPC_p59.f
C	gfortran -S -O3 HPC_p59.f
